/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/
package com.togethersoft.modules.patterns.JAVA.CLASS.HP_E_Speak.Client;

import  com.togethersoft.openapi.sci.SciObject;
import  com.togethersoft.openapi.util.propertyMap.PropertyMap;
import  java.util.Enumeration;
/**
 * @author TogetherSoft
 */
public interface SciTemplate {

        public boolean prepare(SciObject target);

        public SciObject generate(SciObject target);

        public boolean canGenerate();

        public Object addTemplate(SciTemplate template);

        public SciTemplate removeTemplate(Object id);

        public Enumeration templates();

        public PropertyMap getProperties();
        }


